﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800
DATE:                  2009-06-30 11:15:38
AUTHOR:                Fluke
REVISION:              $Revision: 1.7 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       159
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tek_tds5000b_1yr_delta_t_ver_ieee_5800.txt,v $
#    $Date: 2009/06/30 18:08:03 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS5000B Series: TDS 5032B, TDS 5034B, TDS 5052B, TDS 5054B,
#                         TDS 5054BE, TDS 5104B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @Chan == 1
  1.002  RSLT         =
  1.003  RSLT         =CHECK DELTA TIME MEASUREMENT ACCURACY
  1.004  ENDIF

  1.005  RSLT         =
  1.006  RSLT         =Channel [V @Chan]

  1.007  HEAD         CHECK DELTA TIME MEASUREMENT ACCURACY
  1.008  TARGET

  1.009  LABEL        DELTA_TIME_MEASUREMENT
  1.010  CALL         Sub Tek TDS5000B Channel Select IEEE
  1.011  IEEE2        CH[V @Chan]:TER 50;SCA 100E-3
  1.012  DISP         Connect a BNC T(f-m-f) to UUT CH [V @Chan].
  1.012  DISP
  1.012  DISP         Connect the 58xxA CHAN 1 to one side of the BNC T.
  1.012  DISP
  1.012  DISP         Connect a BNC(m) to SMA(f) adapter to the other side of
  1.012  DISP         the BNC T.
  1.012  DISP
  1.012  DISP         Connect a SMA T(f-m-f) to the BNC to SMA adapter.
  1.012  DISP
  1.012  DISP         Connect a 20" SMA (m-m) cable to each side of the SMA T.
  1.012  DISP
  1.012  DISP         Connect a SMA(f-f) adapter to the end of each SMA cable.
  1.012  DISP
  1.012  DISP         Connect a SMA(m) short to each SMA adapter.

  1.013  DO
  1.014  5800         0.5Vpp                       1MH            ED S6 S  L
  1.015  WAIT         -t 2 System Settling ...
  1.016  IEEE2        AUTOS EXEC

  1.017  IF           ZCMPI(@ModelNum, "TDS5054BE")
  1.018  IEEE2        CH[V @Chan]:BAN ONE
  1.019  IEEE2        HOR:SCA 50E-9
  1.020  IEEE2        ZOOM:MOD ON

  1.021  ELSE
  1.022  IEEE2        CH[V @Chan]:BAN FUL
  1.023  IEEE2        HOR:SCA 10E-9
  1.024  ENDIF

  1.025  IEEE2        ACQ:SAMP RT

# Set the trig level is 50% of rising edge of the positive pulse
  1.026  IEEE2        TRIG:A:LEV 125E-3
  1.026  IEEE2        CH[V @Chan]:SCA 50E-3;POS -2.5
  1.027  WAIT         -t 2 System Settling ...
  1.028  IEEE2        TRIG:A:LEV 125E-3
  1.029  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  1.030  UNTIL        @Trig

# Setting the statistic parameters of measurement
  1.031  IEEE2        ACQ:STATE STOP
  1.032  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE PWI;STATE ON
  1.033  IEEE2        MEASU:STATI:MOD ALL;COUN RESET;WEI 1000
  1.034  IEEE2        MEASU:REFL:METH PERC;PERC:MID 50
  1.035  IEEE2        ACQ:STATE RUN
  1.036  WAIT         -t 30 Calculating Statistics...
  1.037  IEEE2        ACQ:STATE STOP
  1.038  IEEE2        MEASU:MEAS2:MEAN?[I]
  1.039  MATH         MeanVal = MEM / 1E-9

  1.040  IEEE2        MEASU:MEAS2:MAX?[I]
  1.041  MATH         MaxVal = MEM / 1E-9

  1.042  IEEE2        MEASU:MEAS2:MINI?[I]
  1.043  MATH         MinVal = MEM / 1E-9

  1.044  MATH         L[1] = MaxVal - MeanVal
  1.045  MATH         L[2] = MeanVal - MinVal
  1.046  MATH         High = FMT(L[1], "%.3f")
  1.047  MATH         Low  = FMT(L[2], "%.3f")

# The delta time measurement accuracy is 0.3 sample intervals, which sample
# intervals is equal to 1 / (real time sample rate).
#
# The real time sample rate of TDS5054BE is 1.00GS/s, so the delta time
# measurement accuracy is 0.300 ns.
#
# The real time sample rate of all other models is is 5.00GS/s, so the delta
# time measurement accuracy is 0.060 ns.
#
  1.048  IF           ZCMPI(@ModelNum, "TDS5054BE")
  1.049  MATH         Lmt = "0.300"
  1.050  ELSE
  1.051  MATH         Lmt = "0.060"
  1.052  ENDIF

  1.053  MEM2         = Limit: (Max - Mean) <= [V Lmt] ns, Result: [V High] ns
  1.054  EVAL   -e L[1] <= Lmt : [MEM2]
  2.001  JMPL         CHECK_LOW_LIMIT

# This TARGET statement is necessary, so a new measurement is taken, if the
# low limit fails, and the operator selects Repeat or Cancel in the Post Test
# dialog.
  2.002  TARGET
  2.003  JMPL         DELTA_TIME_MEASUREMENT

  2.004  LABEL        CHECK_LOW_LIMIT
  2.005  MEM2         = Limit: (Mean - Min) <= [V Lmt] ns, Result: [V Low] ns
  2.006  EVAL   -e L[2] <= Lmt : [MEM2]

  3.001  HEAD
  3.002  5800         *                                                 S
  3.003  END
